

pro mav_gse_structure_append,ptrs,str,tname=tname,tags=tags,realtime=realtime

  if n_params() eq 2 then begin
     if size(/type,str) ne 8 then begin
         dprint,'Not a structure!'
         return
     endif
     if arg_present(ptrs) && ~keyword_set(realtime) then begin
         if not keyword_set(ptrs) then ptrs = {x:ptr_new(0),  xi:ptr_new(0)  }
         append_array,*ptrs.x, str, index= *ptrs.xi
     endif
     if size(/type,tname) eq 7 && keyword_set(realtime) then begin
        if not keyword_set(tags) then tags = tag_names( str )
        time = str.time
        for i = 0,n_elements(tags)-1 do begin
            if tags[i] eq 'TIME' then continue
            dlim = 0
            vvalue=0
            yvalue = str.(i)
            dprint,/phelp,tags[i],yvalue,dlevel=5
            if  (size(/type,yvalue) ne 10) then begin
                dim= size(yvalue,/dimensions)
                if (n_elements(dim) eq 2 || (dim[0] gt 1)) then begin
                    yvalue=transpose(yvalue)
                    vvalue=findgen(dim[0])
                endif
                if strpos(tags[i],'FLAG') ge 0 then dlim =struct(dlim,tplot_routine='bitplot',colors='bmgr')
                store_data,tname+'_'+tags[i], time, yvalue,vvalue, /append  ,dlim=dlim
            endif
        endfor



     endif
  endif else begin
     if keyword_set(ptrs) then  append_array, *ptrs.x, index= *ptrs.xi,/done
     if size(/type,tname) eq 7 && ~keyword_set(realtime) then begin
        if not keyword_set(ptrs) then begin
           dprint,'No data for ',tname
           return
        endif
        str_all = *ptrs.x
        if not keyword_set(tags) then tags = tag_names( str_all )
        time = str_all.time
        for i = 0,n_elements(tags)-1 do begin
            if tags[i] eq 'TIME' then continue
            dlim = 0
            vvalue=0
            str_element,str_all,tags[i],yvalue
           dprint,/phelp,tags[i],yvalue,dlevel=4
            if  (size(/type,yvalue) ne 10) then begin
                dim= size(yvalue,/dimensions)
                if (n_elements(dim) eq 2 ) then begin
                    yvalue=transpose(yvalue)
                    vvalue=findgen(dim[0])
                endif
                if strpos(tags[i],'FLAG') ge 0 then dlim =struct(dlim,tplot_routine='bitplot',colors='bmgr')
                store_data,tname+'_'+tags[i], time, yvalue,vvalue ,dlim=dlim
            endif
        endfor
        ptr_free,ptr_extract(ptrs)
        ptrs = 0
     endif
  endelse
end

