pro stream_capture_event, ev

  printdat,ev
  uname = widget_info(ev.id, /uname)

;  WIDGET_CONTROL, ev.ID, GET_UNAME=uname
  IF (TAG_NAMES(ev, /STRUCTURE_NAME) EQ 'WIDGET_TIMER') THEN BEGIN
    DPRINT,dlevel=3, 'Timer Fired'
    WIDGET_CONTROL, ev.TOP, TIMER=2
  ENDIF

  CASE uname OF
    'timer' : BEGIN
      WIDGET_CONTROL, ev.TOP, TIMER=2
      END
    'exit' : WIDGET_CONTROL, ev.TOP, /DESTROY
     ELSE:   dprint,uname,' Not valid'
  ENDCASE

end

pro stream_capture, GROUP_LEADER=wGroup

  Resolve_Routine, 'streamrecorder_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines

  WID_BASE = Widget_Base( GROUP_LEADER=wGroup, UNAME='WID_BASE_1'  $
      ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=392 ,SCR_YSIZE=229  $
      ,TITLE='Stream Capture' ,SPACE=3 ,XPAD=3 ,YPAD=3)


  WID_TEXT_Source = Widget_Text(WID_BASE, UNAME='SOURCE'  $
      ,FRAME=1 ,SCR_XSIZE=200 ,SCR_YSIZE=18 ,/EDITABLE ,/NO_NEWLINE  $
      ,/WRAP ,VALUE=[ 'localhost' ] ,XSIZE=20 ,YSIZE=1)


  WID_TEXT_Destination = Widget_Text(WID_BASE,  $
      UNAME='DESTINATION' ,YOFFSET=22 ,SCR_XSIZE=200  $
      ,SCR_YSIZE=18 ,/EDITABLE ,XSIZE=20 ,YSIZE=1)


  WID_BUTTON_Connect = Widget_Button(WID_BASE,  $
      UNAME='CONNECT' ,XOFFSET=214 ,SCR_XSIZE=48  $
      ,SCR_YSIZE=18 ,/ALIGN_CENTER ,VALUE='Connect')


  WID_BUTTON_Disconnect = Widget_Button(WID_BASE,  $
      UNAME='WID_BUTTON_Disconnect' ,XOFFSET=281 ,SCR_XSIZE=62  $
      ,SCR_YSIZE=18 ,/ALIGN_CENTER ,VALUE='Disconnect')


  WID_TEXT_Output = Widget_Text(WID_BASE, UNAME='WID_TEXT_Output'  $
      ,YOFFSET=47 ,SCR_XSIZE=324 ,SCR_YSIZE=49 ,XSIZE=20 ,YSIZE=1)


  CLOCK = Widget_Label(WID_BASE, UNAME='CLOCK' ,XOFFSET=77  $
      ,YOFFSET=112 ,/ALIGN_CENTER ,VALUE='Not Currently available')


  WID_BUTTON_0 = Widget_Button(WID_BASE, UNAME='WID_BUTTON_0'  $
      ,XOFFSET=3 ,YOFFSET=124 ,/ALIGN_CENTER ,VALUE='Time')

  Widget_Control, /REALIZE, WID_BASE

  XManager, 'stream_capture', WID_BASE, /NO_BLOCK

end
