;+
;thm_ui_draw_object method: GetPanelNumber
;
;Returns the number of panels currently displayed
;If there is any confusion about the output panel indices, 
;This indicates the maximum value.  0 indicates no panels
;
;$LastChangedBy: pcruce $
;$LastChangedDate: 2010-08-25 18:05:01 -0700 (Wed, 25 Aug 2010) $
;$LastChangedRevision: 7774 $
;$URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/thmsoc/trunk/idl/themis/thm_ui_new/display/draw_object/thm_ui_draw_object__getpanelnumber.pro $
;-
function thm_ui_draw_object::getPanelNumber

  compile_opt idl2
  
  if ~ptr_valid(self.panelInfo) then return,0
  
  return,n_elements(*self.panelInfo)
  
end